Huge thanks to our Platinum Members Endace and LiveAction,
and our Silver Member Veeam, for supporting the Wireshark Foundation and project.

Wireshark-dev: Re: [Wireshark-dev] error during DMG creation under macOS 10.13.2

From: Peter Meiser <meiser@xxxxxxx>
Date: Wed, 21 Feb 2018 01:23:34 +0100
Hi,

I finally found the root cause. It's not the error message which was shown. This totally misleaded me to look for the real root cause.

The problem was the otool command which checks for the file type.

--- a/packaging/macosx/osx-app.sh
+++ b/packaging/macosx/osx-app.sh
@@ -421,7 +421,7 @@ rpathify_file () {
 	#
 	# OK, what type of file is this?
 	#
-	filetype=$( otool -hv "$1" | sed -n '4p' | awk '{print $5}' ; exit ${PIPESTATUS[0]} )
+	filetype=$( otool -hv "$1" | grep 'MH_MAGIC_64' | awk '{print $5}' ; exit ${PIPESTATUS[0]} )
 	if [ $? -ne 0 ] ; then
 		echo "Unable to rpathify $1 in $( pwd ): file type failed."
 		exit 1


After changing the command, the DMG package is created correctly.

Regards,
Peter

PS: Please add me to CC if you answer to me as I'm not subscribed to the mailing list.


Am 20.01.2018 um 08:31 schrieb Peter Meiser:
> Hi,
> 
> I try to compile Wireshark under macOS 10.13.2. I installed the needed libraries and tools via brew (see the list and versions below).
> 
> "make" runs fine, "make dmg_package" shows the an error inbetween so that the some libs the wrong rpath, e.g. libhogweed.4.dylib or ethercat.so.
> 
> Here's the error message:
> 
> error: /Applications/Xcode.app/Contents/Developer/Toolchains/XcodeDefault.xctoolchain/usr/bin/install_name_tool: no LC_RPATH load command with path: /usr/local/Cellar/qt/5.10.0_1/lib found in: Wireshark.app/Contents/MacOS/Wireshark (for architecture x86_64), required for specified option "-delete_rpath /usr/local/Cellar/qt/5.10.0_1/lib"
> 
> Could someone tell me how to fix this issue?
> 
> Thanks in advance.
> Best regards,
> Peter
> 
> 
> 
> macOS:build peter$ brew list --versions
> asciidoc 8.6.10_1
> boost 1.66.0
> c-ares 1.13.0
> cmake 3.10.1
> docbook 5.0
> geoip 1.6.11
> gettext 0.19.8.1
> glib 2.54.3
> gmp 6.1.2_1
> gnutls 3.5.16
> jansson 2.10
> jemalloc 5.0.1
> jpeg 9b
> libev 4.24
> libevent 2.1.8
> libffi 3.2.1
> libgcrypt 1.8.2
> libgpg-error 1.27
> libsmi 0.5.0
> libssh 0.7.5
> libssh2 1.8.0
> libtasn1 4.12
> libtiff 4.0.9_1
> libunistring 0.9.8
> [email protected] 5.1.5_5
> lynx 2.8.8rel.2_1
> lz4 1.8.0
> nettle 3.4
> nghttp2 1.29.0
> openssl 1.0.2n
> p11-kit 0.23.9
> pcre 8.41
> pkg-config 0.29.2
> qt 5.10.0_1
> snappy 1.1.7_1
> spandsp 0.0.6_1
>